using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability369.Domain;

public class TaobaoTbkDgOptimusPromotionPromotionExtend
{

    /*
        权益推荐商品
    */
    private IList<TaobaoTbkDgOptimusPromotionRecommendItemList>? recommendItemList;


    /*
        有价券信息
    */
    private TaobaoTbkDgOptimusPromotionYoujiacouponinfo? youjiaCouponInfo;


    /*
        权益链接
    */
    private string? promotionUrl;



    [JsonPropertyName("recommend_item_list")]
    public IList<TaobaoTbkDgOptimusPromotionRecommendItemList>? RecommendItemList
    {
        get => recommendItemList;
        set => this.recommendItemList = value;
    }

    [JsonPropertyName("youjia_coupon_info")]
    public TaobaoTbkDgOptimusPromotionYoujiacouponinfo? YoujiaCouponInfo
    {
        get => youjiaCouponInfo;
        set => this.youjiaCouponInfo = value;
    }

    [JsonPropertyName("promotion_url")]
    public string? PromotionUrl
    {
        get => promotionUrl;
        set => this.promotionUrl = value;
    }

}

